Subject: Re: [PATCH] Do not include linux/irq.h from linux/netpoll.h

From: Russell King <[email-masked]>
Date: Tue, 16 Mar 2004 20:17:10 +0000

On Tue, Mar 16, 2004 at 11:34:56AM -0800, Linus Torvalds wrote:
> On Tue, 16 Mar 2004, Russell King wrote:
> > > 
> > > What are your thoughts on this?
> > 
> > So how do we solve this problem.  Should I just merge this change and
> > ask you to pull it?  I think that's rather impolite though.
> 
> I didn't apply the patch because you said it was untested ;)

Ok, I've now tested the removal of linux/irq.h from netpoll.h and it
built fine for me on ARM.

However, whether there's a reason for it to be there on x86 or not
still remains to be proven.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of:  2.6 PCMCIA      - http://pcmcia.arm.linux.org.uk/
                 2.6 Serial core